# Class UndoableEditEvent

java.lang.Object
java.util.EventObject
javax.swing.event.UndoableEditEvent

All Implemented Interfaces:
  `Serializable`

public class UndoableEditEvent extends EventObject
An event indicating that an operation which can be undone has occurred.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`UndoableEditEvent(Object source, UndoableEdit edit)`
Constructs an UndoableEditEvent object.

## Method Summary

Modifier and Type
Method
Description
`UndoableEdit`
`getEdit()`
Returns the edit value.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### UndoableEditEvent

public UndoableEditEvent(Object source, UndoableEdit edit)
Constructs an UndoableEditEvent object.

Parameters:
  `source` - the Object that originated the event (typically `this`)
  `edit` - an UndoableEdit object

## Method Details

### getEdit

public UndoableEdit getEdit()
Returns the edit value.

Returns:
  the UndoableEdit object encapsulating the edit